
image black = Solid("#000")
image white = Solid("#FFF")

#### PLACEHOLDERS.rpy

# look at auto sprite generator

### ACT 1 ###

### --- classroom morning scene --- ###

layeredimage bg classroom morning:
  always:
    Composite( (1920, 1080),
      (0,0),
      "BG/bg_classroom_base.webp",
      (926, 149),
      "BG/bg_classroom_clock_morn.webp",
      (200, 116),
      "BG/bg_classroom_teacher_table.webp"
    )
    
  group teacher: # roberts appearance
    attribute _robert default: # no _robert
      Null()
    attribute robert:
      pos (214, 303)
      "BG/bg_classroom_robert_morn.webp"
  
  group rose: # rose cluster
    attribute talking default: # inital setup
      pos (524, 343)
      "BG/bg_classroom_rose.webp"
      
    attribute rose_gone: # rose left scene
      pos (514, 347)
      "BG/bg_classroom_rose_gone.webp"
      
    attribute looking: # looking at liam
      pos (514, 343)
      "BG/bg_classroom_rose_looking.webp"
  
  always:  # front tables
    pos (83, 116)
    "BG/bg_classroom_front_tables.webp"
  
  group elijah:
    attribute relaxing default:
      pos (1507, 538)
      "BG/bg_classroom_elijah_relaxed.webp"
    attribute looking: # looking at liam
      pos (1507, 535)
      "BG/bg_classroom_elijah_looking.webp"
    
  always:
    Composite( (1920, 1080),
      (210, 644), # front chairs
      "BG/bg_classroom_front_chairs_morn.webp",
      (0, 725), # back tables
      "BG/bg_classroom_back_tables.webp",
      (0, 775), # back chairs
      "BG/bg_classroom_back_chairs_morn.webp"
    )
    
  group main_table: # main table with slightly lowered variant
    attribute sitting default:
      pos (524, 748)
      "BG/bg_classroom_main_table.webp"
    attribute standing: # table slightly lower
      Composite( (1920, 1080),
        (524, 748+40),
        "BG/bg_classroom_main_table.webp"
      )
        
### --- END of classroom morning scene 

### classroom classtime scene

layeredimage bg classroom classtime:
  always:
    Composite( (1920, 1080),
      (0,0),
      "BG/bg_classroom_base_class.webp",
      (934, 153),
      "BG/bg_classroom_clock_class.webp",
      (200, 116),
      "BG/bg_classroom_teacher_table_class.webp",
      (880, 304),
      "BG/bg_classroom_robert_class.webp",
      (83, 116), # front tables
      "BG/bg_classroom_front_tables_class.webp",
      (193, 491), # elijah
      "BG/bg_classroom_issac.webp"
    )
    
  group elijah: # state of elijah's hand
    attribute lowered default: # elijah's hand lowered
        pos (1512, 498)
        "BG/bg_classroom_elijah_lowered.webp"
    attribute raised: # elijah's hand raised
        pos (1505, 433)
        "BG/bg_classroom_elijah_raised.webp"
    
  always:
    Composite( (1920, 1080),
      (217, 559), # front chairs
      "BG/bg_classroom_front_chairs_class.webp",
      (0, 725), # back tables
      "BG/bg_classroom_back_tables_class.webp",
      (0, 631),
      "BG/bg_classroom_students.webp",
      (0, 802), # back chairs
      "BG/bg_classroom_back_chairs_class.webp",
      (524, 748),
      "BG/bg_classroom_main_table_class.webp"
    )
    
### --- END of classroom classtime scene




### --- Afterschool Scene --- ###

### Tim's animations

## Blink
transform afterschool_tim_face:
  "BG/afterschool_tim_face_0.webp"
  choice:
    4
  choice:
    5
  choice:
    6
  # 24fps x1 // blink
  "BG/afterschool_tim_face_1.webp"
  pause 0.042
  "BG/afterschool_tim_face_2.webp"
  pause 0.042 *2
  "BG/afterschool_tim_face_3.webp"
  pause 0.042
  repeat


## Flame
transform afterschool_tim_flame:
  choice:
    # 24fps x0.4 // slow flame variant
    "BG/afterschool_tim_flame_0.webp"
    pause 0.104
    "BG/afterschool_tim_flame_1.webp"
    pause 0.104
    "BG/afterschool_tim_flame_2.webp"
    pause 0.104
    "BG/afterschool_tim_flame_3.webp"
    pause 0.104
    "BG/afterschool_tim_flame_4.webp"
    pause 0.104
    "BG/afterschool_tim_flame_5.webp"
    pause 0.104
    "BG/afterschool_tim_flame_6.webp"
    pause 0.104
    "BG/afterschool_tim_flame_7.webp"
    pause 0.104
    "BG/afterschool_tim_flame_8.webp"
    pause 0.104
    "BG/afterschool_tim_flame_9.webp"
    pause 0.104
  choice:
    # 24fps x1 // vigorous flame variant
    "BG/afterschool_tim_flame_0.webp"
    pause 0.042
    "BG/afterschool_tim_flame_1.webp"
    pause 0.042
    "BG/afterschool_tim_flame_2.webp"
    pause 0.042
    "BG/afterschool_tim_flame_3.webp"
    pause 0.042
    "BG/afterschool_tim_flame_4.webp"
    pause 0.042
    "BG/afterschool_tim_flame_5.webp"
    pause 0.042
    "BG/afterschool_tim_flame_6.webp"
    pause 0.042
    "BG/afterschool_tim_flame_7.webp"
    pause 0.042
    "BG/afterschool_tim_flame_8.webp"
    pause 0.042
    "BG/afterschool_tim_flame_9.webp"
    pause 0.042
    "BG/afterschool_tim_flame_10.webp"
    pause 0.042
    "BG/afterschool_tim_flame_11.webp"
    pause 0.042
    "BG/afterschool_tim_flame_12.webp"
    pause 0.042
    "BG/afterschool_tim_flame_13.webp"
    pause 0.042
    "BG/afterschool_tim_flame_14.webp"
    pause 0.042
    "BG/afterschool_tim_flame_15.webp"
    pause 0.042
    "BG/afterschool_tim_flame_16.webp"
    pause 0.042
    "BG/afterschool_tim_flame_17.webp"
    pause 0.042
    "BG/afterschool_tim_flame_18.webp"
    pause 0.042
    "BG/afterschool_tim_flame_19.webp"
    pause 0.042
    "BG/afterschool_tim_flame_20.webp"
    pause 0.042
    "BG/afterschool_tim_flame_21.webp"
    pause 0.042
    "BG/afterschool_tim_flame_22.webp"
    pause 0.042
    "BG/afterschool_tim_flame_23.webp"
    pause 0.042
    "BG/afterschool_tim_flame_24.webp"
    pause 0.042
    "BG/afterschool_tim_flame_25.webp"
    pause 0.042
    "BG/afterschool_tim_flame_26.webp"
    pause 0.042
    "BG/afterschool_tim_flame_27.webp"
    pause 0.042
    "BG/afterschool_tim_flame_28.webp"
    pause 0.042
  repeat


transform bg_afterschool_trippy:
  choice:
    "bg/afterschoolA.jpg" with Dissolve(0.1, alpha = False)
  choice:
    "bg/afterschoolB.jpg" with Dissolve(0.1, alpha = False)
  choice:
    "bg/afterschoolC.jpg" with Dissolve(0.1, alpha = False)
  choice:
    "BG/afterschool_base.webp"
  pause 0.25
  repeat
  
#image bg afterschool black:
#    choice:
#      xanchor 1.0
#      "bg/afterschoolD.jpg"
#    choice:
#      yanchor 1.0
#      "bg/afterschoolD.jpg"
#    choice:
#      xanchor 0.98
#      "bg/afterschoolD.jpg"
#    choice:
#      yanchor 0.98
#      "bg/afterschoolD.jpg"
#    pause 0.05
#    repeat

### END of Tim's Animations


layeredimage bg afterschool trippy:
  always:
    pos (0,0)
    bg_afterschool_trippy

layeredimage bg afterschool:
  always:
    pos (0, 0)
    "BG/afterschool_base.webp"
    
  group static: # tims sprite
    attribute tim:
      pos (895, 331)
      "BG/afterschool_tim_base.webp"
      
  group face:
    attribute tim:
      pos (1003, 419)
      afterschool_tim_face
      
  group flame:
    attribute tim:
      pos (1004, 319)
      afterschool_tim_flame
      
      


### --- END of Afterschool scene




### --- Schoolyard scene --- ###

###  Tim's animations

## Tims alone animations

transform schoolyard_alone_eyes:
  "BG/schoolyard_alone_eyes_0.webp"
  choice:
    pause 5
  choice:
    pause 6
  choice:
    pause 7
  "BG/schoolyard_alone_eyes_1.webp"
  pause 0.04
  "BG/schoolyard_alone_eyes_2.webp"
  pause 0.04
  "BG/schoolyard_alone_eyes_3.webp"
  pause 0.04
  repeat
  
transform schoolyard_alone_thumb:
  "BG/schoolyard_alone_thumb_0.webp"
  choice:
    pause 5
  choice:
    pause 6
  choice 0.5:
    pause 7
  # 24fps x0.35 // raising thumb
  "BG/schoolyard_alone_thumb_1.webp"
  pause 0.119
  "BG/schoolyard_alone_thumb_2.webp"
  pause 0.119
  "BG/schoolyard_alone_thumb_3.webp"
  choice:
    pause 0.119
  choice:
    pause 0.5
  choice:
    pause 1
  # 24fps x0.35 // lowering thumb
  "BG/schoolyard_alone_thumb_2.webp"
  pause 0.119
  "BG/schoolyard_alone_thumb_1.webp"
  pause 0.119
  repeat

    
transform schoolyard_alone_flame:
  "BG/schoolyard_alone_flame_0.webp"
  choice:
    # 24fps x 0.5 // gentle flame
    pause 0.084
    "BG/schoolyard_alone_flame_1.webp"
    pause 0.084
    "BG/schoolyard_alone_flame_2.webp"
    pause 0.084 *2
    "BG/schoolyard_alone_flame_3.webp"
    pause 0.084
    "BG/schoolyard_alone_flame_4.webp"
    pause 0.084
    "BG/schoolyard_alone_flame_5.webp"
    pause 0.084
    "BG/schoolyard_alone_flame_6.webp"
    pause 0.084
    "BG/schoolyard_alone_flame_7.webp"
    pause 0.084 *2
  choice:
    # 24fpsx 0.6 // twitching flame
    pause 0.069
    "BG/schoolyard_alone_flame_1.webp"
    pause 0.069
    "BG/schoolyard_alone_flame_2.webp"
    pause 0.069 *2
    "BG/schoolyard_alone_flame_3.webp"
    pause 0.069
    "BG/schoolyard_alone_flame_4.webp"
    pause 0.069
    "BG/schoolyard_alone_flame_5.webp"
    pause 0.069
    "BG/schoolyard_alone_flame_6.webp"
    pause 0.069
    "BG/schoolyard_alone_flame_7.webp"
    pause 0.069 *2
    "BG/schoolyard_alone_flame_8.webp"
    pause 0.069
    "BG/schoolyard_alone_flame_9.webp"
    pause 0.069
    "BG/schoolyard_alone_flame_10.webp"
    pause 0.069 *2
  repeat

## End of Tim's alone animations

## Tims rose animations

transform schoolyard_rose_eyes:
  "BG/schoolyard_rose_eyes_0.webp"
  choice:
    pause 3
  choice:
    pause 4
  choice:
    pause 5
  "BG/schoolyard_rose_eyes_1.webp"
  pause 0.04
  "BG/schoolyard_rose_eyes_2.webp"
  pause 0.04
  "BG/schoolyard_rose_eyes_3.webp"
  pause 0.04
  repeat
    
transform schoolyard_rose_flame:
  "BG/schoolyard_rose_flame_0.webp"
  choice:
    # 24fps x 0.5 // gentle flame
    pause 0.084
    "BG/schoolyard_rose_flame_1.webp"
    pause 0.084
    "BG/schoolyard_rose_flame_2.webp"
    pause 0.084 *2
    "BG/schoolyard_rose_flame_3.webp"
    pause 0.084
    "BG/schoolyard_rose_flame_4.webp"
    pause 0.084
    "BG/schoolyard_rose_flame_5.webp"
    pause 0.084
    "BG/schoolyard_rose_flame_6.webp"
    pause 0.084
    "BG/schoolyard_rose_flame_7.webp"
    pause 0.084 *2
  choice:
    # 24fpsx 0.6 // twitching flame
    pause 0.069
    "BG/schoolyard_rose_flame_1.webp"
    pause 0.069
    "BG/schoolyard_rose_flame_2.webp"
    pause 0.069 *2
    "BG/schoolyard_rose_flame_3.webp"
    pause 0.069
    "BG/schoolyard_rose_flame_4.webp"
    pause 0.069
    "BG/schoolyard_rose_flame_5.webp"
    pause 0.069
    "BG/schoolyard_rose_flame_6.webp"
    pause 0.069
    "BG/schoolyard_rose_flame_7.webp"
    pause 0.069 *2
    "BG/schoolyard_rose_flame_8.webp"
    pause 0.069
    "BG/schoolyard_rose_flame_9.webp"
    pause 0.069
    "BG/schoolyard_rose_flame_10.webp"
    pause 0.069 *2
  repeat

## End of Tims rose animations


## Tims argue animations
    
transform schoolyard_argue_flame:
  "BG/schoolyard_argue_flame_0.webp"
  pause 0.104
  choice:
    # 24fps x0.4 // 
    "BG/schoolyard_argue_flame_1.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_2.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_3.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_4.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_5.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_6.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_7.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_8.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_9.webp"
    pause 0.104
  choice:
    # 24fps x0.4 // 
    "BG/schoolyard_argue_flame_10.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_11.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_12.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_13.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_14.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_15.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_16.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_17.webp"
    pause 0.104
    "BG/schoolyard_argue_flame_18.webp"
    pause 0.104
  repeat

## End of tims argue animations

## Tims Splash animations
    
transform schoolyard_splash_flame:
  "BG/schoolyard_splash_flame_0.webp"
  pause 0.104
  choice:
    # 24fps x0.4 // flame variant 1
    "BG/schoolyard_splash_flame_1.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_2.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_3.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_4.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_5.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_6.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_7.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_8.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_9.webp"
    pause 0.104
  choice:
    # 24fps x0.4 // flame variant 2
    "BG/schoolyard_splash_flame_10.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_11.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_12.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_13.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_14.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_15.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_16.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_17.webp"
    pause 0.104
    "BG/schoolyard_splash_flame_18.webp"
    pause 0.104
  repeat
  
transform schoolyard_splash_drip:
  Null()
  
  choice:
    pause 1.5
  choice:
    pause 2
  choice:
    pause 2.5
  
  # 24fps x0.5 // water drip animation 
  "BG/schoolyard_splash_drip_0.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_1.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_2.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_3.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_4.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_5.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_6.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_7.webp"
  pause 0.083 *2
  "BG/schoolyard_splash_drip_8.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_9.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_10.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_11.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_12.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_13.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_14.webp"
  pause 0.083
  "BG/schoolyard_splash_drip_15.webp"
  pause 0.083
  repeat

## End of tims Splash animations

### END of Tim's animations

layeredimage bg schoolyard:
  always:
    "BG/schoolyard_base.webp"
    
  # rose and tim sprites
  group interaction:
    attribute tim default:
      pos (999, 360)
      "BG/schoolyard_alone.webp"
    attribute rose:
      pos (400, 325)
      "BG/schoolyard_rose.webp"
    attribute arguing:
      pos (400, 325)
      "BG/schoolyard_argue.webp"
    attribute splash:
      pos (400, 325)
      "BG/schoolyard_splash.webp"
  
  # animations
  group eyes: # blinking
    attribute tim default:
      pos (1244, 431)
      schoolyard_alone_eyes
    attribute rose:
      pos (1245, 409)
      schoolyard_rose_eyes
      
  group flame: #  tim's flame
    attribute tim default:
      pos (1254, 340)
      schoolyard_alone_flame
    attribute rose:
      pos (1271, 325)
      schoolyard_rose_flame
    attribute arguing:
      pos (1272, 286)
      schoolyard_argue_flame
    attribute splash:
      pos (1238, 238)
      schoolyard_splash_flame
      
  group miscellaneous: # extra animations
    attribute tim default: # scrolling thumb
      pos (1233, 608)
      schoolyard_alone_thumb
    attribute splash: # water dripping
      pos (1098, 817)
      schoolyard_splash_drip
  

### --- END of schoolyard scene
